const numbers = [1, 2, 3, 4, 5, 6];
                        
//boring API
console.log(numbers[0]);
console.log(numbers[numbers.length - 1]);

//How about?
console.log(numbers.first);
console.log(numbers.last);

//Hum, shows undefined, but we are undeterred

Object.defineProperty(Array.prototype, 'first', {
    get: function() { return this[0]; }    
  });

console.log(numbers.first);