let greet = function(...parameters) {     
  console.log('greet called...');
  return `hello ${parameters.join(', ')}`;
}

console.log(greet('Tom', 'Jerry'));

console.log("...Let's intercept...");

greet = new Proxy(greet, {
  apply: function(target, thisArgs, args) {
    console.log('before call...');
    
    try {
      return Reflect.apply(target, thisArgs, args);      
    } finally {
      console.log('after call...');      
    }
  }
});

console.log(greet('Tom', 'Jerry'));